%{?nodejs_find_provides_and_requires}

%global packagename chai-increasing
%global enable_tests 1

Name:		nodejs-chai-increasing
Version:	1.2.0
Release:	1%{?dist}
Summary:	Chai matchers for increasing/decreasing sequences

License:	MIT
URL:		https://github.com/jameslawson/chai-increasing
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# No license file upstream, see https://github.com/jameslawson/chai-increasing/pull/2
Source1:	LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(immutable)
BuildRequires:	npm(lodash.identity)
%endif

%description
Chai matchers for increasing/decreasing sequences


%prep
%autosetup -n package

# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js matcher/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha test 'test/**/*.spec.js'
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Dec 14 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Initial packaging
